Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

Reply
Contributor
Posts: 49
Registered: ‎05-30-2008
My Device: Not Specified
Accepted Solution

Upgrading from BES 4.14 to 4.15 or 4.16

I have 2 BES 4.14 servers in a Blackberry Domain.  I need to add a 3rd server to this domain to help with our client growth.  Is it appropriate to add the 3rd server to the Blackberry Domain as a higher version (4.15 or 4.16)? My goal was:

1) Shut down the 2 BES in the domain.

2) Install 3rd server as 4.15 or 4.16 to upgrade the besmgmt database and to get the box online.

3) Bring up the other two servers.

4) Manage everything from higher version Blackberry manager.

 

What will result is 2 servers at 4.14 and 1 on 4.15 (or 4.16-->still testing this code)

 

From testing this out it appears to do fine.  One of the servers we have at the 4.14 code stream has poor performance so I am afraid to upgrade in place so migrating the users to the newer box in the domain will be a good option.  

 

Has anyone out there run a hybrid version domain?  Have you had issues?

 

 

Guru III
Posts: 32,116
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Upgrading from BES 4.14 to 4.15 or 4.16

Upgrade the old ones first to 4.1.6 then add the new one.

Updates are culmative and have all the previous patches.

 

RIM does not support mixed versions on the same database.

 

When I upgraded mine it was pretty fast going, only like 15 min.

 

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Highlighted
Forums Veteran II
Posts: 2,744
Registered: ‎04-01-2008
My Device: Bold

Re: Upgrading from BES 4.14 to 4.15 or 4.16


knottyrope wrote:
...

 

RIM does not support mixed versions on the same database.

 

...

 


 

That information is incorrect.  You can run multiple versions of BES off of a BESMgmt database.  The caveat, is that you must use a BlackBerry Manager that is the same version as the database schema.

 

 RichmondFish: The procedure you listed is correct and will work.  The keys are making sure that the other 2 BES are offline while you're upgrading the database, and that you only use the BlackBerry Manager from the new server to manage all of the BES.

------------------------------
If you've found a solution through a post; please mark it as a solution.
If someone's was particularly helpful, give them kudo's!.


Get busy living, or get busy dying.

http://blog.port3101.org/hdawg/
Guru III
Posts: 32,116
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Upgrading from BES 4.14 to 4.15 or 4.16

GO have fun with that then.

 

And one day when someone opens the wrong one, poof.

 

 

 

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Forums Veteran II
Posts: 2,744
Registered: ‎04-01-2008
My Device: Bold

Re: Upgrading from BES 4.14 to 4.15 or 4.16


knottyrope wrote:

GO have fun with that then.

 

And one day when someone opens the wrong one, poof.

 

 

 


 

No poof by someone opening it; only potentially by making  changes.

 

Easy solution; rename the executable.

------------------------------
If you've found a solution through a post; please mark it as a solution.
If someone's was particularly helpful, give them kudo's!.


Get busy living, or get busy dying.

http://blog.port3101.org/hdawg/
Guru III
Posts: 32,116
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Upgrading from BES 4.14 to 4.15 or 4.16

Dont forget about MMC.

 

It would irritate me to know an admin would keep servers that

were doing a common thing would be patched at different levels.

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Contributor
Posts: 49
Registered: ‎05-30-2008
My Device: Not Specified

Re: Upgrading from BES 4.14 to 4.15 or 4.16

Appreciate the information!  I felt like I was right but it is good to have someone else concur.  Thank you very much!

 

 

 

 

Dont forget about MMC.

It would irritate me to know an admin would keep servers that

were doing a common thing would be patched at different levels.

 

Ideally nobody would want to run mixed version in the same domain if possible.  But at some point you have to pull the trigger and upgrade one if you have multiple servers and go from there.  In my case I am so tight on space on the C:\ drive that I cannot install additional software.  I do not like to do server rebuilds if possible.  Bring up the new server on the higher code stream will afford a little burn in time and since the servers are all in the same domain, I can use the BES mgr to move the people from the cruddy box to the new box.

 

 

 

Forums Veteran II
Posts: 2,744
Registered: ‎04-01-2008
My Device: Bold

Re: Upgrading from BES 4.14 to 4.15 or 4.16


knottyrope wrote:

Dont forget about MMC.

 

It would irritate me to know an admin would keep servers that

were doing a common thing would be patched at different levels.


 

What about MMC?

------------------------------
If you've found a solution through a post; please mark it as a solution.
If someone's was particularly helpful, give them kudo's!.


Get busy living, or get busy dying.

http://blog.port3101.org/hdawg/